<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <title>Chỉnh sửa thông tin cộng tác viên</title>
  <link
      href="https://res.cloudinary.com/dralhpdiv/image/upload/v1646628563/favicon.png"
      rel="shortcut icon"
      type="image/png"/>

  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <link crossorigin="anonymous"
        href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css"
        integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6"
        rel="stylesheet">
  <script crossorigin="anonymous"
          integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf"
          src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js"></script>
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
        rel="stylesheet"/>
  <link href="/static/AdminCollaboratorUpdate.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div class="d-flex" id="container">
  <div class="d-flex flex-column p-3 text-white bg-dark" id="sidebarMenuLeft">
    <a class="d-flex mb-3 mb-md-0 me-md-auto text-white text-decoration-none"
       href="/collaborator/home-statistic"
       style="margin: 0 auto">
      <img
          alt=""
          src="https://res.cloudinary.com/dralhpdiv/image/upload/v1646629370/logo_ACT.png"
          style="height: 5rem; object-fit: contain"/>
    </a>
    <hr>
    <ul class="nav nav-pills flex-column mb-auto">
      <li class="nav-item">
        <a class="nav-link text-white" href="/collaborator/home-statistic">
          <i aria-hidden="true" class="fa fa-home"></i> &nbsp Trang chủ
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/admin-info">
          <i aria-hidden="true" class="fa fa-info-circle"></i> &nbsp Thông tin quản lý
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link text-white" href="/manager/media-component">
          <i aria-hidden="true" class="fa fa-video-camera"></i> &nbsp Cài đặt media
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/collaborator-management/page/1">
          <i aria-hidden="true" class="fa fa-user-circle-o"></i> &nbsp Quản lý cộng tác viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/user-management/page/1">
          <i aria-hidden="true" class="fa fa-user"></i> &nbsp&nbsp Quản lý học viên
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/course-management/page/1">
          <i aria-hidden="true" class="fa fa-book"></i> &nbsp Quản lý khóa học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/class-management/page/1">
          <i aria-hidden="true" class="fa fa-users"></i> &nbsp Quản lý lớp học
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/collaborator/news-management/page/1">
          <i aria-hidden="true" class="fa fa-newspaper-o"></i> &nbsp Quản lý tin tức
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/manager/job-management/page/1">
          <i aria-hidden="true" class="fa fa-briefcase"></i> &nbsp Quản lý tuyển dụng
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/">
          <i aria-hidden="true" class="fa fa-arrow-circle-o-left"></i> &nbsp Quay về trang web
        </a>
      </li>
      <li>
        <a class="nav-link text-white" href="/logout">
          <i aria-hidden="true" class="fa fa-sign-out"></i> &nbsp Đăng xuất
        </a>
      </li>
    </ul>
    <hr>
  </div>

  <div class="flex-md-fill" id="content">
    <div class="d-flex justify-content-sm-between align-items-center" id="userInfo">
      <div class="d-flex justify-content-center align-items-center">
        <h5 style="margin: 0">Xin chào</h5> &nbsp;&nbsp; <img alt="" id="userImg"
                                                              th:src="${admin.img}"/>
        &nbsp;&nbsp; <h5 style="margin: 0" th:text="${admin.name} + ' - ' + ${admin.role}"></h5>
      </div>
      <h5 class="clock" id="MyClockDisplay" onload="showTime()" style="margin: 0"></h5>
    </div>
    <form enctype="multipart/form-data" id="inputUser" method="post"
          th:action="@{/collaborator/update-collaborator/{id} (id = ${collaboratorId})}"
          th:object="${collaborator}">
      <div style="margin-bottom: 18px">
        <h5 id="titleUser">Chỉnh sửa thông tin cộng tác viên</h5>
      </div>
      <div id="generalInformation">
        <hr>
        <div class="row" style="font-size: 18px">
          <div class="col-md-5 d-flex flex-column justify-content-center align-items-center">
            <div id="img-preview">
              <img alt="" th:src="${collaborator.img}"/>
            </div>
            <input accept="image/*" id="choose-file" name="choose-file" th:field="*{file}"
                   type="file"/>
            <label for="choose-file">Chọn ảnh</label>
          </div>
          <div class="col-md-7">
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="userName" style="font-weight: bold">Họ và
                tên</label>
              <div class="col-sm-7">
                <input class="form-control" id="userName" th:field="*{name}" type="text">
                <div class="invalidValue" id="invalidName">Họ và tên là một chuỗi kí tự không bao
                  gồm số và các kí tự đặc biệt !
                </div>
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="userSex" style="font-weight: bold">Giới
                tính</label>
              <div class="col-sm-2">
                <select class="form-control" id="userSex" name="userSex" th:field="*{sex}">
                  <option th:value="Male">Nam</option>
                  <option th:value="Female">Nữ</option>
                </select>
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="userDob" style="font-weight: bold">Ngày
                sinh</label>
              <div class="col-sm-7">
                <input class="form-control" id="userDob" th:field="*{dob}" type="date">
                <div class="invalidValue" id="invalidDob">Ngày sinh không được để trống và vượt quá
                  mốc thời gian hiện tại !
                </div>
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="userPhone" style="font-weight: bold">Số
                điện thoại</label>
              <div class="col-sm-7">
                <input class="form-control" id="userPhone" th:field="*{phone}" type="tel">
                <div class="invalidValue" id="invalidPhone">Số điện thoại là một dãy 10 số, có đầu
                  số hợp lệ, không có chữ và kí tự đặc biệt !
                </div>
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="userEmail"
                     style="font-weight: bold">Email</label>
              <div class="col-sm-7">
                <input class="form-control" id="userEmail" th:field="*{email}" type="email">
                <div class="invalidValue" id="invalidEmail">Email là một dãy kí tự và phải có đuôi
                  của email !
                </div>
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" style="font-weight: bold">Quê
                quán</label>
              <div class="col-sm-7">
                <input class="form-control" id="courseHour" th:field="*{address}" type="text">
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="userJob" style="font-weight: bold">Công
                việc</label>
              <div class="col-sm-7">
                <input class="form-control" id="userJob" th:field="*{job}" type="text">
              </div>
            </div>
            <div class="mb-3 row">
              <label class="col-sm-4 col-form-label" for="userWorkplace" style="font-weight: bold">Nơi
                học tập (làm việc)</label>
              <div class="col-sm-7">
                <input class="form-control" id="userWorkplace" th:field="*{workplace}" type="text">
              </div>
            </div>
          </div>
        </div>
      </div>
      <div style="margin-top: 1rem; display: flex">
        <button class="btn btn-primary" style="margin: auto; padding: 10px 30px; font-size: 18px"
                type="reset">Nhập lại
        </button>
        <button class="btn btn-primary" onclick="submitForm()"
                style="margin: auto; padding: 10px 30px; font-size: 18px" type="submit">Xác nhận
        </button>
      </div>
    </form>
    <div id="footer">
      Copyright © ACTACAD 2021. All Rights Reserved
    </div>
  </div>
</div>
<script crossorigin="anonymous"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script>
  function showTime() {
    var date = new Date();
    var h = date.getHours(); // 0 - 23
    var m = date.getMinutes(); // 0 - 59
    var s = date.getSeconds(); // 0 - 59
    var session = "AM";

    if (h == 0) {
      h = 12;
    }

    if (h > 12) {
      h = h - 12;
      session = "PM";
    }

    h = (h < 10) ? "0" + h : h;
    m = (m < 10) ? "0" + m : m;
    s = (s < 10) ? "0" + s : s;

    var time = h + ":" + m + ":" + s + " " + session;
    document.getElementById("MyClockDisplay").innerText = time;
    document.getElementById("MyClockDisplay").textContent = time;

    setTimeout(showTime, 1000);
  }

  showTime();

  const chooseFile = document.getElementById("choose-file");
  const imgPreview = document.getElementById("img-preview");

  chooseFile.addEventListener("change", function () {
    getImgData();
  });

  function getImgData() {
    const files = chooseFile.files[0];
    if (files) {
      const fileReader = new FileReader();
      fileReader.readAsDataURL(files);
      fileReader.addEventListener("load", function () {
        imgPreview.innerHTML = '<img src="' + this.result + '"  alt=""/>';
      });
    }
  }

  var reText = /^[^0-9_!¡?÷?¿\/\\+=@#$%ˆ&*(){}|~<>;:[\]]{2,}$/;
  var reEmail = /^[^\s@]+@[^\s@]+$/;
  var rePhone = /(03|05|07|08|09|01[2|6|8|9])+([0-9]{8})\b/;
  var rePassword = /^(?=.*?[A-Z])(?=(.*[a-z]){1,})(?=(.*[\d]){1,})(?=(.*[\W]){1,})(?!.*\s).{8,}$/;

  function isEmpty(string) {
    return string === "";
  }

  function isValid(re, string) {
    return re.test(string);
  }

  $("#userName").focusout(function () {
    if (isEmpty($("#userName").val()) || !isValid(reText, $("#userName").val())) {
      $("#invalidName").css("display", "block")
    } else {
      $("#invalidName").css("display", "none")
    }
  });

  $("#userDob").focusout(function () {
    var now = new Date();
    var date = new Date($("#userDob").val());
    if (isEmpty($("#userDob").val()) || date > now) {
      $("#invalidDob").css("display", "block")
    } else {
      $("#invalidDob").css("display", "none")
    }
  });

  $("#userPhone").focusout(function () {
    if (isEmpty($("#userPhone").val()) || !isValid(rePhone, $("#userPhone").val())) {
      $("#invalidPhone").css("display", "block")
    } else {
      $("#invalidPhone").css("display", "none")
    }
  });

  $("#userEmail").focusout(function () {
    if (isEmpty($("#userEmail").val()) || !isValid(reEmail, $("#userEmail").val())) {
      $("#invalidEmail").css("display", "block")
    } else {
      $("#invalidEmail").css("display", "none")
    }
  });

  $("#userPassword").focusout(function () {
    $("#invalidRepassword").css("display", "none")
    if (!isEmpty($("#userPassword").val())) {
      if (!isValid(rePassword, $("#userPassword").val())) {
        $("#invalidPassword").css("display", "block")
      } else {
        $("#invalidPassword").css("display", "none")
      }
    } else {
      $("#invalidPassword").css("display", "none")
    }
  });

  $("#userRepassword").focusout(function () {
    if ($("#userPassword").val() != $("#userRepassword").val()) {
      $("#invalidRepassword").css("display", "block")
    } else {
      $("#invalidRepassword").css("display", "none")
    }

  });

  function submitForm() {
    var error = false
    var now = new Date();
    var date = new Date($("#txtDob").val());

    if (isEmpty($("#userName").val()) || !isValid(reText, $("#userName").val())) {
      error = true;
      $("#invalidName").css("display", "block")
    }

    if (isEmpty($("#userDob").val()) || date > now) {
      error = true;
      $("#invalidDob").css("display", "block")
    } else {
      $("#invalidDob").css("display", "none")
    }

    if (isEmpty($("#userPhone").val()) || !isValid(rePhone, $("#userPhone").val())) {
      error = true;
      $("#invalidPhone").css("display", "block")
    }

    if (isEmpty($("#userEmail").val()) || !isValid(reEmail, $("#userEmail").val())) {
      error = true;
      $("#invalidEmail").css("display", "block")
    }

    if ($("#userPassword").val() != $("#userRepassword").val()) {
      error = true;
      $("#invalidRepassword").css("display", "block")
    }

    if (error) {
      event.preventDefault();
    }
  }
</script>
</body>
</html>
